#!/bin/sh
#
# $FreeBSD: ports/devel/dbus/files/dbus.in,v 1.9 2006/10/14 08:35:11 marcus Exp $
#
# PROVIDE: dbus
# REQUIRE: DAEMON
#
# Add the following lines to /etc/rc.conf to enable the D-BUS messaging system:
#
# dbus_enable="YES"
#

dbus_enable=${dbus_enable-"NO"}
dbus_flags=${dbus_flags-"--system"}

. /usr/local/etc/rc.subr

name=dbus
rcvar=`set_rcvar`

command="/usr/local/bin/dbus-daemon"
pidfile="/var/run/dbus/${name}.pid"

start_precmd="dbus_prestart"
stop_postcmd="dbus_poststop"

dbus_prestart()
{
    mkdir -p $(dirname $pidfile)
}

dbus_poststop()
{
    rm -f $pidfile
}


load_rc_config ${name}
run_rc_command "$1"
